- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Member Functions

# FbxRenamingStrategyNumber Class Reference

This reference page is linked to from the following overview topics: List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Implements a renaming strategy that resolves name clashes by adding number postfixes.

For example, when there are three objects with the same names "MyObject", and they will be renamed to "MyObject", "MyObject1" and "MyObject2".

See also:
  FbxNameHandler FbxRenamingStrategyBase

Definition at line 70 of file fbxrenamingstrategy.h.

`#include <fbxrenamingstrategy.h>`

Inheritance diagram for FbxRenamingStrategyNumber:
[legend]

List of all members.

## Classes
struct | NameCell
## Public Member Functions
| FbxRenamingStrategyNumber ()
| Constructor.
virtual | ~FbxRenamingStrategyNumber ()
| Destructor.
virtual void | Clear ()
| Resets internal state regarding assigned names.
virtual bool | Rename (FbxNameHandler &pName)
| Rename a name if necessary to avoid name-clash issues.
virtual FbxRenamingStrategyInterface * | Clone ()
| Create a dynamic renaming strategy instance of the same type as the child class.

## Constructor & Destructor Documentation

FbxRenamingStrategyNumber | ( |  | ) |

Constructor.

virtual ~FbxRenamingStrategyNumber | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

virtual void Clear | ( |  | ) | `[virtual]`

Search for all occurrences

Resets internal state regarding assigned names.

Implements FbxRenamingStrategyInterface.

virtual bool Rename | ( | FbxNameHandler & | pName | ) | `[virtual]`

Search for all occurrences

Rename a name if necessary to avoid name-clash issues.

Parameters:

  pName | The name to be renamed.

Returns:
  Return `true` on success, `false` otherwise.

Implements FbxRenamingStrategyInterface.

virtual FbxRenamingStrategyInterface* Clone | ( |  | ) | `[virtual]`

Search for all occurrences

Create a dynamic renaming strategy instance of the same type as the child class.

Returns:
  New instance.

Implements FbxRenamingStrategyInterface.

The documentation for this class was generated from the following file:

- fbxsdk/utils/fbxrenamingstrategy.h

FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber
FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber FbxRenamingStrategyNumber